Subject: IAB Seeks Feedback on ICANN Technical Liaison Group Appointee

From: IAB Executive Administrative Manager <[email-masked]>
Date: Mon, 09 Dec 2019 13:15:37 -0800

On behalf of the IETF, the IAB names two technical experts to the ICANN 
Technical Liaison Group (TLG)[1]. The current experts are Warren Kumari 
(term ends 2021) and Tim Wicinski (term ends 2020). Tim has indicated 
that he is willing to serve again. The IAB is interested in feedback on 
the last two years of Tim's performance in the TLG.

Please send comments to [email-masked]. In addition, please CC 
[email-masked].

The IAB would appreciate receiving comments by Monday, 2020-01-06.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager

[1] See section 13.2 of the ICANN Bylaws, 
    <https://www.icann.org/resources/pages/governance/bylaws-en>